<form name="editForm" role="form" novalidate (ngSubmit)="save()" #editForm="ngForm">

    <div class="modal-header">
        <h6 class="modal-title" id="myShipmentPackageLabel" jhiTranslate="mpmApp.shipmentPackage.home.createOrEditLabel">Create or edit a Shipment Package</h6>
        <button type="button" class="close" data-dismiss="modal" aria-hidden="true" (click)="clear()">&times;</button>
    </div>
    <div class="modal-body">
        <jhi-alert-error></jhi-alert-error>
        <div class="form-group" [hidden]="!shipmentPackage.idPackage">
            <label for="id" jhiTranslate="global.field.id">ID</label>
            <input type="text" class="form-control" id="id" name="id" [(ngModel)]="shipmentPackage.idPackage" readonly />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.shipmentPackage.idPackageType" for="field_idPackageType">Id Package Type</label>
            <input currencyMask class="form-control" name="idPackageType" id="field_idPackageType"
                [(ngModel)]="shipmentPackage.idPackageType"
                [options]="{ prefix: '', thousands: '.', decimal: ',', precision: '0' }"
                 />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.shipmentPackage.dateCreated" for="field_dateCreated">Date Created</label>
            <div class="input-group">
                <p-calendar inputId="field_dateCreated" name="input_dateCreated" [(ngModel)]="shipmentPackage.dateCreated"
                    dateFormat="dd-mm-yy" [showTime]="true" hourFormat="24" [showSeconds]="true"
                    [showIcon]="true"></p-calendar>
            </div>
        </div>

        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.shipmentPackage.internal" for="field_internal">Internal</label>
            <select class="form-control" id="field_internal" name="internal" [(ngModel)]="shipmentPackage.internalId" >
                <option [ngValue]="null"></option>
                <option [ngValue]="internalOption.IdInternal" *ngFor="let internalOption of internals; trackBy: trackInternalById">{{internalOption.partyName}}</option>
            </select>
        </div>
    </div>
    <div class="modal-footer">
        <button pButton type="button" data-dismiss="modal" (click)="clear()"
            label="{{'entity.action.cancel' | translate}}" 
            icon="fa-ban"
            class="ui-button-danger flat-label-button">
        </button>
        <button pButton type="submit" [disabled]="editForm.form.invalid || isSaving"
            label="{{'entity.action.save' | translate}}" 
            icon="fa-save"
            class="ui-button-primary flat-label-button">
        </button>
    </div>
</form>
